/*
 * Management of Data in Wireless Sensor Networks (MaD-WiSe)
 *
 * Copyright 2004-2006 Consiglio Nazionale delle Ricerche
 * p.le Aldo Moro, 7 00185 Roma (IT)
 * Authors are listed in the file AUTHORS.TXT
 * This file is subject to the MIT license, to be found in LICENSE.TXT
 */

/* 
 * File Name: RadioMsg.h
 *
 */
 
enum {
  AM_RADIOMSG = 9,
};

typedef struct RadioMsg {
	uint8_t  query_id;
	uint8_t  msg_type;
	int8_t   stream_output;
	int8_t   stream_input1;
	int8_t   stream_input2;
	uint8_t  predicate;
	uint8_t  field1;
	uint8_t  field2;
	uint8_t  constant;
	uint8_t  constant2;
	uint8_t  constant3;
	uint8_t  numfields;
	uint8_t  symbolic_name;
	uint32_t stream_rate;
	uint8_t  reliability;
	uint8_t  buffer_size;
	uint16_t remote_stream_dest;
	uint8_t  sensor_tid;
	uint8_t  sampling_type;
} RadioMsg;


/*
   Values allowed for msg_type field: 
    SELECT_C = 1,
    SELECT_F = 2,
    SYNC_JOIN_I = 3,
    SYNC_JOIN_O = 4,
    MERGE_JOIN_I = 5,
    MERGE_JOIN_O = 6,
    PROJECTION = 7,
    SEND = 8,
    REMOTE_OPEN = 9,
    LOCAL_OPEN = 10,
    SENSOR_OPEN = 11,
    START_QUERY = 12,
    STOP_QUERY = 13,
    MIRROR = 14, 
    SERIAL_SEND = 15, 
    PART_AVG_I = 16,
    PART_AVG_O = 17    
*/
